Package com.io7m.cedarbridge.runtime.api

# Class CBMapEntrySerializer<K extends CBSerializableType,V extends CBSerializableType>

java.lang.Object
com.io7m.cedarbridge.runtime.api.CBAbstractSerializer<CBMapEntry<K,V>>
com.io7m.cedarbridge.runtime.api.CBMapEntrySerializer<K,V>

Type Parameters:
  `K` - The type of keys
  `V` - The type of values

All Implemented Interfaces:
  `CBSerializerType<CBMapEntry<K,V>>`

public final class CBMapEntrySerializer<K extends CBSerializableType,V extends CBSerializableType> extends CBAbstractSerializer<CBMapEntry<K,V>>
A serializer of map entries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBMapEntrySerializer(CBSerializerType<K> inKeySerializer, CBSerializerType<V> inValueSerializer)`
  A serializer of map entries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CBMapEntry<K,V>`
  `deserialize(CBSerializationContextType context)`
  Deserialize a value of the given type.
  `void`
  `serialize(CBSerializationContextType context, CBMapEntry<K,V> value)`
  Serialize a value of the given type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CBMapEntrySerializer

    public CBMapEntrySerializer(CBSerializerType<K> inKeySerializer, CBSerializerType<V> inValueSerializer)
    A serializer of map entries.
    Parameters:
      `inKeySerializer` - The key serializer
      `inValueSerializer` - The value serializer

- ## Method Details

  - ### serialize

    public void serialize(CBSerializationContextType context, CBMapEntry<K,V> value) throws IOException
    Description copied from interface: `CBSerializerType`
    Serialize a value of the given type.
    Parameters:
      `context` - The serialization context
      `value` - The value to be serialized
    Throws:
      `IOException` - On I/O errors

  - ### deserialize

    public CBMapEntry<K,V> deserialize(CBSerializationContextType context) throws IOException
    Description copied from interface: `CBSerializerType`
    Deserialize a value of the given type.
    Parameters:
      `context` - The serialization context
    Returns:
      A deserialized value
    Throws:
      `IOException` - On I/O errors